Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface TemplatedDocument

All Superinterfaces:
  Document, Item, Localized, WCMApiObject

All Known Subinterfaces:
  Content, HierarchicalTemplatedDocument, Site, SiteArea

    public interface TemplatedDocument

extends Document

An interface defining a `Document` that can be templated using an `AuthoringTemplate`

Since:
  8.0

Method Summary
`DocumentId` | `getAuthoringTemplateID()` Returns the ID of the `AuthoringTemplate` that was used to create this `TemplatedDocument`.
`void` | `setAuthoringTemplateID(DocumentId authoringTemplateID)` Sets the authoring template associated with this `TemplatedDocument`.

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Method Detail

### getAuthoringTemplateID

    DocumentId getAuthoringTemplateID()
                                      throws AuthorizationException,
                                             PropertyRetrievalException

  Returns the ID of the `AuthoringTemplate` that was used to create this `TemplatedDocument`.

  Returns:
    the ID of the `AuthoringTemplate`
  Throws:
    `AuthorizationException` - if the user does not have access to the template
    `PropertyRetrievalException` - if an error occurred while retrieving the template

### setAuthoringTemplateID

    void setAuthoringTemplateID(DocumentId authoringTemplateID)
                                throws IllegalDocumentTypeException

  Sets the authoring template associated with this `TemplatedDocument`.

  Note: This method updates the authoring template reference only and does not change the `ContentComponent`s on the `TemplatedDocument` to match the authoring template. This must be done manually via the add/update/remove component methods.

  note: since `v6.0.0`, a `ContentComponent` is referred to as an `"Element"`in the Authoring UI.``

  Parameters:
    `authoringTemplateID` - The ID of the `AuthoringTemplate` to associate with this `TemplatedDocument`. Can not be null.
  Throws:
    `IllegalDocumentTypeException` - If the supplied ID is not an `AuthoringTemplate` of the correct type that corresponds to the `TemplatedDocument` type

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD